MessageFormatter::formatMessage
MessageFormatter::getErrorCode
MessageFormatter
PHP Manual

# MessageFormatter::format

# msgfmt_format

(No version information available, might be only in CVS)

MessageFormatter::format -- msgfmt_format — Format the message

### Description

Object oriented style

string MessageFormatter::format ( array `$args` )

Procedural style

string msgfmt_format ( MessageFormatter `$fmt` , array `$args` )

Format the message by substituting the data into the format string according to the locale rules

### Parameters

`fmt`

  The message formatter

`args`

  Arguments to insert into the format string

### Return Values

The formatted string, or `FALSE` if an error occurred

### Examples

Example #1 msgfmt_format() example

`<?php
$fmt = msgfmt_create("en_US", "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree");
echo msgfmt_format($fmt, array(4560, 123, 4560/123));
$fmt = msgfmt_create("de", "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum");
echo msgfmt_format($fmt, array(4560, 123, 4560/123));
?>`

Example #2 OO example

`<?php
$fmt = new MessageFormatter("en_US", "{0,number,integer} monkeys on {1,number,integer} trees make {2,number} monkeys per tree");
echo $fmt->format(array(4560, 123, 4560/123));
$fmt = new MessageFormatter("de", "{0,number,integer} Affen über {1,number,integer} Bäume um {2,number} Affen pro Baum");
echo $fmt->format(array(4560, 123, 4560/123));
?>`

The above example will output:

    4,560 monkeys on 123 trees make 37.073 monkeys per tree
    4.560 Affen über 123 Bäume um 37,073 Affen pro Baum

### See Also

- msgfmt_create()
- msgfmt_parse()
- msgfmt_format_message()
- msgfmt_get_error_code()
- msgfmt_get_error_message()

MessageFormatter::formatMessage
MessageFormatter::getErrorCode
MessageFormatter
PHP Manual